searchData={"items":[{"type":"module","title":"ClusterLoadBalancer","doc":"ClusterLoadBalancer monitors for discrepancies in resource count across a cluster\nand kills processes on the current node if it's the maximum node and falls outside of\nan allowed deviation.\n\nYou could use this to load balance any resource, although WebSockets or persistent HTTP\nconnections are the most obvious use cases.\n\nAll of the values are configurable to either allow the cluster to be more loosely\nload balanced or to be more tightly controlled.\n\nAn assumption is made that a killed resource will recreate itself once killed (or your\nimplementation has to handle that). Phoenix Channels, the primary use case for this,\ninvolve the client reconnecting when disconnected. This means that the connections\nwill restart, but in a load balanced way.","ref":"ClusterLoadBalancer.html"},{"type":"function","title":"ClusterLoadBalancer.child_spec/1","doc":"","ref":"ClusterLoadBalancer.html#child_spec/1"},{"type":"module","title":"ClusterLoadBalancer.Config","doc":"Configuration for a ClusterLoadBalancer instance","ref":"ClusterLoadBalancer.Config.html"},{"type":"type","title":"ClusterLoadBalancer.Config.t/0","doc":"* impl: ClusterLoadBalancer.Implementation.Behavior implementation module used to power the load balancer worker\n* allowed_average_deviation_percent: How far the highest count node can be above the average before it is load balanced\n* shed_percentage: The amount of percentage between the average and the highest count that will be shed\n* max_shed_count: The most that can be shed at one time. An amount above this will be reduced to it\n* min_shed_count: The minimum that can be shed at one time. An amount below this will *not* shed\n* round_duration_seconds: How long each round will last","ref":"ClusterLoadBalancer.Config.html#t:t/0"},{"type":"behaviour","title":"ClusterLoadBalancer.Implementation","doc":"Behavior for implementing a ClusterLoadBalancer. You must provide a way to interact with the\nunderlying resources that are being load balanced.","ref":"ClusterLoadBalancer.Implementation.html"},{"type":"callback","title":"ClusterLoadBalancer.Implementation.count/0","doc":"","ref":"ClusterLoadBalancer.Implementation.html#c:count/0"},{"type":"callback","title":"ClusterLoadBalancer.Implementation.kill_processes/1","doc":"","ref":"ClusterLoadBalancer.Implementation.html#c:kill_processes/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}